drop table T_KH_REPO_CHAR;
drop sequence SEQ_KH_REPO_CHAR_ID;

CREATE table T_KH_REPO_CHAR (ID NUMERIC(9) not null, NAME varchar2(200) not null, URI varchar2(100) not null, REPO_TYPE varchar2(50) not null,CONTENT CLOB, STATUS varchar2(50), CREATE_USER varchar2(50), LAST_UPDATE_USER varchar2(50), CREATE_TIME timestamp, LAST_UPDATE_TIME timestamp, primary key (ID));
CREATE UNIQUE INDEX IDX_KH_REPO_CHAR_URI ON T_KH_REPO_CHAR (URI);
CREATE INDEX IDX_KH_REPO_CHAR_REPOTYPE ON T_KH_REPO_CHAR (REPO_TYPE);
CREATE INDEX IDX_KH_REPO_CHAR_STATUS ON T_KH_REPO_CHAR (STATUS);
create sequence SEQ_KH_REPO_CHAR_ID start with 10000 increment by 1 maxvalue 9999999999 minvalue 10000 cache 20;

drop table T_KH_REPO_BIN;
drop sequence SEQ_KH_REPO_BIN_ID;
CREATE table T_KH_REPO_BIN (ID NUMERIC(9) not null, NAME varchar2(200) not null, URI varchar2(100) not null, REPO_TYPE varchar2(50) not null,CONTENT BLOB, STATUS varchar2(50), CREATE_USER varchar2(50), LAST_UPDATE_USER varchar2(50), CREATE_TIME timestamp, LAST_UPDATE_TIME timestamp, primary key (ID));
CREATE INDEX IDX_KH_REPO_BIN_STATUS ON T_KH_REPO_BIN (STATUS);
CREATE UNIQUE INDEX IDX_T_KH_REPO_BIN_URI ON T_KH_REPO_BIN (URI);
CREATE INDEX IDX_KH_REPO_BIN_REPOTYPE ON T_KH_REPO_BIN (REPO_TYPE);
create sequence SEQ_KH_REPO_BIN_ID start with 10000 increment by 1 maxvalue 9999999999 minvalue 10000 cache 20;
