drop table T_KH_REPO_CHAR;
CREATE table T_KH_REPO_CHAR (ID int not null auto_increment, NAME varchar(200) not null, URI varchar(100) not null, REPO_TYPE varchar(50) not null,CONTENT text, STATUS varchar(50), CREATE_USER varchar(50), LAST_UPDATE_USER varchar(50), CREATE_TIME timestamp, LAST_UPDATE_TIME timestamp, primary key (ID));
CREATE UNIQUE INDEX IDX_KH_REPO_CHAR_URI ON T_KH_REPO_CHAR (URI);
CREATE INDEX IDX_KH_REPO_CHAR_REPOTYPE ON T_KH_REPO_CHAR (REPO_TYPE);
CREATE INDEX IDX_KH_REPO_CHAR_STATUS ON T_KH_REPO_CHAR (STATUS);

drop table T_KH_REPO_BIN;
CREATE table T_KH_REPO_BIN (ID int not null auto_increment, NAME varchar(200) not null, URI varchar(100) not null, REPO_TYPE varchar(50) not null,CONTENT LongBlob, STATUS varchar(50), CREATE_USER varchar(50), LAST_UPDATE_USER varchar(50), CREATE_TIME timestamp, LAST_UPDATE_TIME timestamp, primary key (ID));
CREATE INDEX IDX_KH_REPO_BIN_STATUS ON T_KH_REPO_BIN (STATUS);
CREATE UNIQUE INDEX IDX_T_KH_REPO_BIN_URI ON T_KH_REPO_BIN (URI);
CREATE INDEX IDX_KH_REPO_BIN_REPOTYPE ON T_KH_REPO_BIN (REPO_TYPE);
